<?php

/**
 * Child Theme functions file.
 *
 * @package twentyfifteen-child
 * @since 1.0
 */

function twentyfifteen_child_scripts() {
   wp_enqueue_style( 'twentyfifteen-style', get_template_directory_uri().'/style.css' ); 
   wp_enqueue_style( 'twentyfifteen-child-style',get_stylesheet_uri()); 
   wp_enqueue_style( 'twentyfifteen-fonts', twentyfifteen_child__fonts_url(), array(), null );
   wp_enqueue_script( 'twentyfifteen-skip-link-focus-fix', get_stylesheet_directory_uri() . '/js/child-scripts.js', array( 'jquery' ), '20141220', true );
   wp_enqueue_style( 'genericons', get_template_directory_uri() . '/genericons/genericons.css', array(), '3.2' );
}
add_action( 'wp_enqueue_scripts', 'twentyfifteen_child_scripts' );
remove_action('init', 'twentyfifteen_fonts_url');
add_action( 'init', 'twentyfifteen_child__fonts_url' );

function twentyfifteen_child__fonts_url() {
    $fonts_url = '';

    /* Translators: If there are characters in your language that are not
	 * supported by Lato, translate this to 'off'. Do not translate
	 * into your own language.
	 */
	$arimo = _x( 'on', 'Lato font: on or off', 'twentyfifteen-child' );

	if ( 'off' !== $arimo ) {
		$font_families = array();
		$font_families[] = 'Lato:300,400,700,300italic,400italic,700italic&subset=latin,latin-ext';

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);

		$fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );
	}

	return $fonts_url;

}
